> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Employee I9 Update Event (Early Access)

> This endpoint specifies what will be sent to your Employee I9 Event Webhook.

This endpoint specifies what will be sent to your Employee I9 Event Webhook. Zeal POSTs a request containing an Employee's I9 information at different stages of the I9 completion in the dashboard. You can update and test the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.

## Request Body

| attribute                  | type    | description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| -------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| test                       | boolean | Whether the Event was created/updated/deleted in Test Mode                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| employeeID                 | string  | Zeal `employeeID` of Employee                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| first\_name                | string  | First name of Employee                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| last\_name                 | string  | Last name of Employee                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| companyID                  | string  | Zeal `companyID` of Employer                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| business\_name             | string  | Business Name                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| documents                  | list    | Document or documents provided by employee. Can contain multiple.<br />Show documents values:<br />`CANADIAN_DRIVERS_LICENSE` `DAY_CARE_RECORD` `DRIVERS_LICENSE` `DS_1350` `EMPLOYMENT_AUTHORIZATION_DOCUMENT` `FOREIGN_PASSPORT` `FOREIGN_PASSPORT_WITH_FORM_I94` `FOREIGN_PASSPORT_WITH_I551_STAMP` `FORM_I179` `FORM_I197` `FORM_I551` `FORM_I766` `FORM_I94` `FORM_I94_RECEIPT` `FS_240` `FS_545` `FSM_OR_RMI_PASSPORT_WITH_FORM_I94` `GOVERNMENT_ID_CARD` `HOSPITAL_RECORD` `MILITARY_DEPENDENT_ID_CARD` `NATIVE_AMERICAN_TRIBAL_DOCUMENT` `SCHOOL_ID_CARD` `SCHOOL_RECORD` `SOCIAL_SECURITY_CARD` `US_BIRTH_CERTIFICATE` `US_COAST_GUARD_CARD` `US_MILITARY_CARD` `US_PASSPORT` `VOTER_REGISTRATION_CARD`                                                                                                                                   |
| status                     | string  | Holds one of the following values:<br />`STARTED`<br />`SECTION_1_COMPLETED`<br />`AUTHORIZED_REPRESENTATIVE_CONTACTED`<br />`SECTION_2_COMPLETED`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| authorized\_representative | object  | Information on the Authorized Representative who reviewed the employee's I9<br />Show authorized\_representative fields:<br />*email*\* - Email of authorized representative, shown if provided<br />*phone*\* - Phone of authorized representative, shown if provided<br />*first\_name*\* - First name of authorized representative<br />*last\_name*\* - Last name of authorized representative<br />*decision*\* - Decision of authorized representative. Possible values: `IN_PROGRESS` `APPROVED` `CHANGES_REQUESTED`<br />*decision\_made\_on*\* - Date and time the decision was made on<br />**NOTE: The authorized\_representative object will not appear until the I9 status has reached AUTHORIZED\_REPRESENTATIVE\_CONTACTED and will only show all fields (either phone or email) once the status updates to SECTION\_2\_COMPLETED** |
| admin\_review\_status      | string  | Holds one of the following values:<br />`PENDING_REVIEW`<br />`CHANGES_REQUESTED`<br />`APPROVED`<br />**NOTE: You must have the admin review status feature enabled for your company for this field to appear and will generate after the authorized\_representative approves the I9 form request.**                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |

***

## Returns

Doesn't return anything but rather POSTs a request with the I9 update to your webhook URL.

***

## Raw Content Example

```json STARTED theme={null}
{
  "test": false,
  "employeeID": "cc4482374ee49487ruzieun",
  "first_name": "Erlich",
  "last_name": "Bachman",
  "companyID": "1eeec343485723ee58ufefhz",
  "business_name": "Test Company",
  "documents": [],
  "status": "STARTED",
  "timestamp": "2024-01-21T21:29:42Z"
}
```

```json SECTION_1_COMPLETED theme={null}
{
  "test": false,
  "employeeID": "cc4482374ee49487ruzieun",
  "first_name": "Erlich",
  "last_name": "Bachman",
  "companyID": "1eeec343485723ee58ufefhz",
  "business_name": "Test Company",
  "documents": [
    "US_PASSPORT"
  ],
  "status": "SECTION_1_COMPLETED",
  "timestamp": "2024-01-21T21:29:42Z"
}
```

```json AUTHORIZED_REPRESENTATIVE_CONTACTED theme={null}
{
  "test": false,
  "employeeID": "cc4482374ee49487ruzieun",
  "first_name": "Erlich",
  "last_name": "Bachman",
  "companyID": "1eeec343485723ee58ufefhz",
  "business_name": "Test Company",
  "documents": [
    "US_PASSPORT"
  ],
  "status": "AUTHORIZED_REPRESENTATIVE_CONTACTED",
  "authorized_representative": {
    "email": "test@demo.com"
  }
}
```

```json SECTION_2_COMPLETED theme={null}
{
  "test": false,
  "employeeID": "cc4482374ee49487ruzieun",
  "first_name": "Erlich",
  "last_name": "Bachman",
  "companyID": "1eeec343485723ee58ufefhz",
  "business_name": "Test Company",
  "documents": [
    "US_PASSPORT"
  ],
  "status": "SECTION_2_COMPLETED",
  "authorized_representative": {
    "first_name": "Richard",
    "last_name": "Hendricks",
    "email": "test@demo.com",
    "decision": "APPROVED",
    "decision_made_on": "2024-10-01T20:46:27.961Z"
  },
  "admin_review_status": "PENDING_REVIEW"
}
```
